Đến nội dung


Hình ảnh
- - - - -

hỏi về lips copy với chế độ bắt điểm giữa


  • Please log in to reply
3 replies to this topic

#1 superlonggg

superlonggg

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 December 2013 - 06:12 PM

mình có 1 nhóm các đối tượng đã đc đưa vào đúng vị trí tương xứng với nhau nay mình muốn copy nó sang vùng mới với vị trí bắt điểm gốc là trung điểm của các đối tượng đó ( pick điểm đầu các đối tượng -> pick điểm cuối  -> enter cho kết quả bắt điểm là trung điểm 2 điểm vừa pick) sau đó vị trí past các đối tượng cũng là trung điểm của vùng cần past (tương tự pick 2 điểm đích cho ra trung điểm cần past)
p/s : ko biet trên diễn đàn có chưa nhưng mình search thử các từ khoá liên quan nhưng vẫn chưa cho ra kết quả mong muốn , nếu có rồi thì cho mình xin đường link :) ko thì các bạn giúp mình viết 1 lips nhé cám ơn


  • 0

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 16 December 2013 - 07:25 PM

Cái này không cần lisp. Chọn chế độ bắt điểm M2P rồi bắt vào 2 điểm sẽ cho ra trung điểm.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 superlonggg

superlonggg

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 December 2013 - 09:33 PM

thế tạo ra 1 lenh danh rieng coi như đỡ mất công 2 lần m2p 


  • 0

#4 ndtnv

ndtnv

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 437 Bài viết
Điểm đánh giá: 384 (khá)

Đã gửi 27 December 2013 - 12:46 PM

Dùng lệnh

(defun C:CMM () (vl-cmdf "COPY" (ssget) "" "M2P" (getpoint) (getpoint) "M2P" ""))


  • 0